Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
DL_SymmetricEncryptionAlgorithm Class Reference

interface for symmetric encryption algorithms used in DL cryptosystems More...

`#include <pubkey.h>`

Inheritance diagram for DL_SymmetricEncryptionAlgorithm:

List of all members.

## Public Member Functions

virtual bool | ParameterSupported (const char *name) const
virtual size_t | GetSymmetricKeyLength (size_t plaintextLength) const =0
virtual size_t | GetSymmetricCiphertextLength (size_t plaintextLength) const =0
virtual size_t | GetMaxSymmetricPlaintextLength (size_t ciphertextLength) const =0
virtual void | SymmetricEncrypt (RandomNumberGenerator &rng, const byte *key, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters) const =0
virtual DecodingResult | SymmetricDecrypt (const byte *key, const byte *ciphertext, size_t ciphertextLength, byte *plaintext, const NameValuePairs &parameters) const =0

## Detailed Description

interface for symmetric encryption algorithms used in DL cryptosystems

Definition at line 934 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h